org.deidentifier.arx.test

## Class TestMicroaggregation

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.TestMicroaggregation

    public class TestMicroaggregation
    extends AbstractTest

Test for microaggregation.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Constructor Summary

Constructors
Constructor and Description
`TestMicroaggregation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testMicroaggregationAdult()` Test microaggregation arithmetic mean with larger dataset
`void` `testMicroaggregationArithmeticMean()` Test microaggregation arithmetic mean
`void` `testMicroaggregationGeometricMean()` Test microaggregation geometric mean

### Methods inherited from class org.deidentifier.arx.test.AbstractTest

`setUp`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestMicroaggregation

    public TestMicroaggregation()

### Method Detail

#### testMicroaggregationAdult

    public void testMicroaggregationAdult()
                                   throws java.io.IOException

Test microaggregation arithmetic mean with larger dataset

Throws:
  `java.io.IOException`

#### testMicroaggregationArithmeticMean

    public void testMicroaggregationArithmeticMean()
                                            throws java.io.IOException

Test microaggregation arithmetic mean

Throws:
  `java.io.IOException`

#### testMicroaggregationGeometricMean

    public void testMicroaggregationGeometricMean()
                                           throws java.io.IOException

Test microaggregation geometric mean

Throws:
  `java.io.IOException`